Bug 1634032 - To be able to add and create reports, the edit report role is needed.
Summary: To be able to add and create reports, the edit report role is needed.
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS
Version: 5.9.4
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: GA
: 5.9.5
Assignee: Harpreet Kataria
QA Contact: Antonin Pagac
URL:
Whiteboard:
Depends On: 1631892
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-09-28 13:36 UTC by Satoe Imaishi
Modified: 2018-11-05 14:00 UTC (History)
7 users (show)

Fixed In Version: 5.9.5.1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1631892
Environment:
Last Closed: 2018-11-05 13:59:40 UTC
Category: ---
Cloudforms Team: CFME Core


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:3466 None None None 2018-11-05 14:00:11 UTC

Comment 3 CFME Bot 2018-09-28 15:18:50 UTC
New commit detected on ManageIQ/manageiq-ui-classic/gaprindashvili:

https://github.com/ManageIQ/manageiq-ui-classic/commit/640f883e62261aa3df7e93c0905261f5bd750f67
commit 640f883e62261aa3df7e93c0905261f5bd750f67
Author:     Dan Clarizio <dclarizi@redhat.com>
AuthorDate: Thu Sep 27 14:04:22 2018 -0400
Commit:     Dan Clarizio <dclarizi@redhat.com>
CommitDate: Thu Sep 27 14:04:22 2018 -0400

    Merge pull request #4699 from h-kataria/report_editor_rbac_check_fixed

    Fixed code to check for correct RBAC feature when adding/editing report

    (cherry picked from commit e1897a0e06d84ab4ca370dc4c4254aa6fb42f159)

    Fixes https://bugzilla.redhat.com/show_bug.cgi?id=1634032

 app/controllers/report_controller/reports/editor.rb | 47 +-
 spec/controllers/miq_report_controller/reports/editor_spec.rb | 44 +-
 2 files changed, 65 insertions(+), 26 deletions(-)

Comment 5 Antonin Pagac 2018-10-12 08:14:29 UTC
Verified with 5.9.5.1.

Can copy/add report without the Edit report role enabled.

Comment 7 errata-xmlrpc 2018-11-05 13:59:40 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:3466


Note You need to log in before you can comment on or make changes to this bug.